Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 226664

Summary: Merge Review: ypserv
Product: [Fedora] Fedora Reporter: Nobody's working on this, feel free to take it <nobody>
Component: Package ReviewAssignee: Nikola Pajkovsky <npajkovs>
Status: CLOSED RAWHIDE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: dhoward, kklic, npajkovs, steved, vcrhonek
Target Milestone: ---Flags: npajkovs: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-01-05 11:07:15 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Nobody's working on this, feel free to take it 2007-01-31 21:36:18 UTC
Fedora Merge Review: ypserv

http://cvs.fedora.redhat.com/viewcvs/devel/ypserv/
Initial Owner: steved@redhat.com

Comment 1 Nikola Pajkovsky 2010-01-04 11:38:20 UTC
++ source files match upstream
++ package meets naming and versioning guidelines
++ specfile is properly named, is cleanly written and uses macros consistently
++ dist tag is present
++ build root is correct
++ license field matches the actual license
++ license is open source-compatible
++ latest version is being packaged
++ BuildRequires are proper
-- compiler flags are appropriate
    erase --enable-yppasswd(it's not an option in configure)
++ %clean is present
++ package builds in mock
++ debuginfo package looks complete
++ final provides and requires look sane
-- %check is present and all tests pass
		upstream don't provide any testcases
++ no shared libraries are added to the regular linker search paths
??(not sure) owns the directories it creates
++ doesn't own any directories it shouldn't
++ no duplicates in %files
++ file permissions are appropriate
++ no scriptlets present
-- %docs are not necessary for the proper functioning of the package
		config files is taken from documentation
++ documentation is small, so no -docs subpackage is necessary
++ no headers
++ no pkgconfig files
++ no libtool .la droppings
++ not a GUI app

$ rpmlint i386/*
ypserv.i386: W: obsolete-not-provided yppasswd
ypserv.i386: W: conffile-without-noreplace-flag /etc/rc.d/init.d/yppasswdd
ypserv.i386: W: conffile-without-noreplace-flag /etc/rc.d/init.d/ypxfrd
ypserv.i386: W: conffile-without-noreplace-flag /etc/rc.d/init.d/ypserv
ypserv.i386: E: executable-marked-as-config-file /etc/rc.d/init.d/yppasswdd
ypserv.i386: E: executable-marked-as-config-file /etc/rc.d/init.d/ypxfrd
ypserv.i386: E: executable-marked-as-config-file /etc/rc.d/init.d/ypserv
2 packages and 0 specfiles checked; 3 errors, 4 warnings.

Comment 2 Karel Klíč 2010-01-05 10:59:42 UTC
> -- compiler flags are appropriate
>     erase --enable-yppasswd(it's not an option in configure)

Fixed.

> -- %docs are not necessary for the proper functioning of the package
>   config files is taken from documentation

I think this is ok. The package copies configuration files from upstream to documentation by marking them as %doc. These files are not used by ypserv.

> ypserv.i386: W: obsolete-not-provided yppasswd
> ypserv.i386: W: conffile-without-noreplace-flag /etc/rc.d/init.d/yppasswdd
> ypserv.i386: W: conffile-without-noreplace-flag /etc/rc.d/init.d/ypxfrd
> ypserv.i386: W: conffile-without-noreplace-flag /etc/rc.d/init.d/ypserv
> ypserv.i386: E: executable-marked-as-config-file /etc/rc.d/init.d/yppasswdd
> ypserv.i386: E: executable-marked-as-config-file /etc/rc.d/init.d/ypxfrd
> ypserv.i386: E: executable-marked-as-config-file /etc/rc.d/init.d/ypserv

I think these warnings and errors may be omitted.